Subject: Autoconf testsuite failure (likely spurious) with the development version of Automake

From: Stefano Lattarini <[email-masked]>
Date: Sat, 21 Jul 2012 18:05:23 +0200

AUtoconf test 035 "autom4te preselections" is failing when run with
developement versions of aclocal and automake installed in $PATH:

-*-*-*-

#                             -*- compilation -*-
35. tools.at:1162: testing autom4te preselections ...
./tools.at:1168: automake --version || exit 77
stderr:
stdout:
automake (GNU automake) 1.12a
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl-2.0.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Tom Tromey <[email-masked]>
       and Alexandre Duret-Lutz <[email-masked]>.
./tools.at:1169: grep '[1-9]\.[0-9]' stdout || exit 77
stdout:
automake (GNU automake) 1.12a
License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl-2.0.html>
./tools.at:1170: test ! -f $HOME/.autom4te.cfg || exit 77
stderr:
stdout:
./tools.at:1186: aclocal || { ret=$?; test $ret -eq 63 && ret=77; exit $ret; }
stderr:
./tools.at:1188: test -d autom4te.cache || exit 77
./tools.at:1189: autoconf
./tools.at:1197: aclocal
stderr:
./tools.at:1198: automake --no-force --add-missing
stderr:
configure.ac:2: installing './install-sh'
configure.ac:2: installing './missing'
./tools.at:1199: autoconf
./tools.at:1200: test "`find configure -newer newer`" = "" ||
	  { diff old-requests autom4te.cache/requests; exit 1; }
--- /dev/null	2012-07-21 09:44:05.273620958 +0200
+++ /devel/bleeding/src/autoconf/tests/testsuite.dir/at-groups/35/stdout	2012-07-21 17:49:38.000000000 +0200
@@ -0,0 +1,78 @@
+67d66
+<                         'AM_PROG_INSTALL_SH' => 1,
+68a68
+>                         'AM_PROG_INSTALL_SH' => 1,
+87d86
+<                         '_LT_AC_TAGCONFIG' => 1,
+89c88
+<                         'AC_INIT' => 1,
+---
+>                         '_LT_AC_TAGCONFIG' => 1,
+91c90
+<                         '_AM_COND_IF' => 1,
+---
+>                         'AC_INIT' => 1,
+93c92
+<                         'AC_SUBST' => 1,
+---
+>                         '_AM_COND_IF' => 1,
+95c94
+<                         'AC_FC_SRCEXT' => 1,
+---
+>                         'AC_SUBST' => 1,
+96a96
+>                         'AC_FC_SRCEXT' => 1,
+99d98
+<                         'AM_PATH_GUILE' => 1,
+100a100
+>                         'AM_PATH_GUILE' => 1,
+103d102
+<                         'AC_REQUIRE_AUX_FILE' => 1,
+105c104
+<                         'm4_sinclude' => 1,
+---
+>                         'AC_REQUIRE_AUX_FILE' => 1,
+106a106
+>                         'm4_sinclude' => 1,
+111d110
+<                         'AM_MAKEFILE_INCLUDE' => 1,
+112a112
+>                         'AM_MAKEFILE_INCLUDE' => 1,
+114d113
+<                         '_AM_COND_ENDIF' => 1,
+115a115
+>                         '_AM_COND_ENDIF' => 1,
+120d119
+<                         'include' => 1,
+122c121
+<                         'AM_PROG_AR' => 1,
+---
+>                         'include' => 1,
+123a123
+>                         'AM_PROG_AR' => 1,
+125d124
+<                         'AM_PROG_FC_C_O' => 1,
+126a126
+>                         'AM_PROG_FC_C_O' => 1,
+128d127
+<                         'AH_OUTPUT' => 1,
+130c129
+<                         '_AM_SUBST_NOTMAKE' => 1,
+---
+>                         'AH_OUTPUT' => 1,
+132,133c131
+<                         'sinclude' => 1,
+<                         'AM_PROG_CC_C_O' => 1,
+---
+>                         '_AM_SUBST_NOTMAKE' => 1,
+135,136c133,134
+<                         'AM_XGETTEXT_OPTION' => 1,
+<                         'AC_CANONICAL_SYSTEM' => 1,
+---
+>                         'AM_PROG_CC_C_O' => 1,
+>                         'sinclude' => 1,
+137a136,137
+>                         'AC_CANONICAL_SYSTEM' => 1,
+>                         'AM_XGETTEXT_OPTION' => 1,
+139a140
+>                         '_AM_EXTRA_RECURSIVE_TARGETS' => 1,
./tools.at:1200: exit code was 1, expected 0
./tools.at:1200: if test "$automake_version" = "$used_automake_version"; 		    then exit 1; else exit 77; fi
./tools.at:1200: exit code was 1, expected 0
35. tools.at:1162: 35. autom4te preselections (tools.at:1162): FAILED (tools.at:1200)

-*-*-*-

I don't have time to dig into this right now, so I'm just reporting it.
I'd be happy and grateful if somebody can beat me at finding a fix.

Regards,
  Stefano